i.spectral(1)

NAME
i.spectral - displays spectral response at user specified locations in group or images

KEYWORDS
imagery, raster, multispectral

SYNOPSIS
i.spectral
i.spectral help
i.spectral [-imc] [group=string] [raster=string[,string,...]]

  Flags:

-i  Use image list and not group

-m  Select multiple points

-c  label with coordinates instead of numbering

  Parameters:

group=string
    group input

raster=string[,string,...]
    raster input maps

DESCRIPTION
i.spectral displays spectral response at user specified locations in images.

NOTES
This script needs gnuplot to be installed.

EXAMPLE
To analyze a time series of maps, run:
d.rast map_1
LIST=`g.mlist type=rast mapset=timeseries pat="map_*" | sort -t '_' -k 2 -n | tr '\n' ','| sed 's+,$++g'`
i.spectral -i rast=$LIST
This will search all maps in the mapset 'timeseries' which match have the 'map_' prefix and order by a number following this prefix (day of the year etc). The user is then asked to click into a map position and the resulting pixel values of all matching maps are drawn in the gnuplot output.

SEE ALSO
d.what.rast
d.where
r.what

AUTHOR
Markus Neteler
Francesco Pirotti

Last changed: $Date: 2006/04/29 14:13:04 $

Full index